package de.avatic.lcc.model.taric;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import jakarta.validation.constraints.Size;
import org.springframework.data.annotation.Id;

import java.util.Set;

public class Unit {

    private String unitCode;

    private String unitQualifier;

    private String label;

    private UnitDesc unitDesc;

    public String getUnitCode() {
        return unitCode;
    }

    public void setUnitCode(String unitCode) {
        this.unitCode = unitCode;
    }

    public String getUnitQualifier() {
        return unitQualifier;
    }

    public void setUnitQualifier(String unitQualifier) {
        this.unitQualifier = unitQualifier;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public UnitDesc getUnitDesc() {
        return unitDesc;
    }

    public void setUnitDesc(UnitDesc unitDesc) {
        this.unitDesc = unitDesc;
    }
}
